List endpoints
curl --request GET \
--url https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"name": "my-s3-endpoint",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:11:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy",
"tags": [
{
"name": "tag-name",
"value": "tag-value"
}
]
},
"spec": {
"objectStorageEndpointClassId": "7b6f8b33-3ca8-4db2-b7ab-7bbf683efc6d",
"identityPolicies": [
{
"name": "bucket-admin",
"document": {
"Version": "2012-10-17",
"Statement": [
{
"Effect": "Allow",
"Action": [
"s3:ListBucket",
"s3:GetObject"
],
"Resource": [
"arn:aws:s3:::example-bucket",
"arn:aws:s3:::example-bucket/*"
]
}
]
}
}
]
},
"status": {
"regionId": "ba39bff5-b0d8-4c60-89e5-ed1104356b4a",
"exposure": {
"public": {
"dnsName": "s3.example.com"
}
}
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Object storage
List endpoints
List the object storage endpoints with optional filtering by tag, organization, project, and region.
GET
/
api
/
v1
/
objectstorageendpoints
List endpoints
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Query Parameters
A set of tags to match against resources in the form "name=value", thus when encoded you get "?tag=foo%3Dcat&tag=bar%3Ddog".
Allows resources to be filtered by organization.
Allows resources to be filtered by project.
Allows resources to be filtered by region.
Minimum string length:
1Response
A list of object storage endpoints.
Was this page helpful?
⌘I